apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert
    kompose.version: 1.22.0 (955b78124)
  creationTimestamp: null
  labels:
    io.kompose.service: golang-web
  name: golang-web
spec:
  replicas: 1
  selector:
    matchLabels:
      io.kompose.service: golang-web
  strategy: {}
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert
        kompose.version: 1.22.0 (955b78124)
      creationTimestamp: null
      labels:
        io.kompose.service: golang-web
    spec:
      containers:
        - image: muliawan021/golang-service:latest
          name: golang-web
          ports:
            - containerPort: 8080
          resources: {}
      restartPolicy: Always
status: {}
